#pragma once

#include "Widget.h"

#include "GridNode.h"

class ImageViewWidget : public Widget
{
public:
    ImageViewWidget();

    virtual ~ImageViewWidget();

private:
    void doPaint(const PaintEvent* event) override;
    unsigned mNumX{5};
    unsigned mNumY{5};

    std::unique_ptr<GridNode> mGridNode;
};
